org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface LifecycleCallbackType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface LifecycleCallbackType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `lifecycle-callbackType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLifecycleCallbackClass()` Returns the `lifecycle-callback-class` element
    `java.lang.String` | `getLifecycleCallbackMethod()` Returns the `lifecycle-callback-method` element
    `LifecycleCallbackType<T>` | `lifecycleCallbackClass(java.lang.String lifecycleCallbackClass)` Sets the `lifecycle-callback-class` element
    `LifecycleCallbackType<T>` | `lifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)` Sets the `lifecycle-callback-method` element
    `LifecycleCallbackType<T>` | `removeLifecycleCallbackClass()` Removes the `lifecycle-callback-class` element
    `LifecycleCallbackType<T>` | `removeLifecycleCallbackMethod()` Removes the `lifecycle-callback-method` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### lifecycleCallbackClass

          LifecycleCallbackType<T> lifecycleCallbackClass(java.lang.String lifecycleCallbackClass)

      Sets the `lifecycle-callback-class` element
      Parameters:
        `lifecycleCallbackClass` - the value for the element `lifecycle-callback-class`
      Returns:
        the current instance of `LifecycleCallbackType`

    - #### getLifecycleCallbackClass

          java.lang.String getLifecycleCallbackClass()

      Returns the `lifecycle-callback-class` element
      Returns:
        the node defined for the element `lifecycle-callback-class`

    - #### removeLifecycleCallbackClass

          LifecycleCallbackType<T> removeLifecycleCallbackClass()

      Removes the `lifecycle-callback-class` element
      Returns:
        the current instance of `LifecycleCallbackType`

    - #### lifecycleCallbackMethod

          LifecycleCallbackType<T> lifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)

      Sets the `lifecycle-callback-method` element
      Parameters:
        `lifecycleCallbackMethod` - the value for the element `lifecycle-callback-method`
      Returns:
        the current instance of `LifecycleCallbackType`

    - #### getLifecycleCallbackMethod

          java.lang.String getLifecycleCallbackMethod()

      Returns the `lifecycle-callback-method` element
      Returns:
        the node defined for the element `lifecycle-callback-method`

    - #### removeLifecycleCallbackMethod

          LifecycleCallbackType<T> removeLifecycleCallbackMethod()

      Removes the `lifecycle-callback-method` element
      Returns:
        the current instance of `LifecycleCallbackType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)